# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="A workspace switcher plugin for xfce4-panel which can be used for the i3 window manager."

HOMEPAGE="https://github.com/denesb/xfce4-i3-workspaces-plugin"

SRC_URI="https://github.com/denesb/xfce4-i3-workspaces-plugin/archive/1.3.2.tar.gz"

LICENSE="GPL-3"

SLOT="0"

KEYWORDS="~amd64"

RDEPEND="
	>=dev-libs/glib-2.0.0
    >=x11-libs/gtk+-2.0.0
    >=xfce-base/libxfce4ui-4.8.0
    >=xfce-base/libxfce4util-4.8.0
    >=xfce-base/xfce4-panel-4.8.0
    >=i3ipc-glib-1.0.1
"

BDEPEND="
	dev-util/xfce4-dev-tools
    virtual/pkgconfig
"

#src_configure() {
#	USEOPTIONS=""
#	if use gtk-doc; then
#	USEOPTIONS+="--enable-gtk-doc"
#	fi
#	if use introspection; then
#		USEOPTIONS+="--enable-introspection"
#	fi
#	./autogen.sh ${USEOPTIONS} \
#		--host=${CHOST} \
#		--prefix=/usr \
#		--libdir='${prefix}/lib64' \
#		--infodir=/usr/share/info \
#		--mandir=/usr/share/man || die
#}

#src_install() {
#	emake DESTDIR="${D}" LIBRARY_REL=$(get_libdir) install || die
#}